Engine Oil Lookup API Documentation
Welcome to Vehicle Databases API's Documentation
Engine Oil Lookup
GETRate LimitedJSON Response
Overview
This API gives accurate specifications for a vehicle's tire sizes, wheel details, and engine oil requirements by VIN
COVERAGE
This API supports US manufacturers from year 1999 to 2026.
SUPPORT
17 digits VIN number.
HTTP Request
Endpoint
GET https://api.vehicledatabases.com/oil-lookup/{vin}Example — Python / Requests
Target:
Client:
import requests
response = requests.get(
"https://api.vehicledatabases.com/oil-lookup/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
| Parameter | Required | Description |
|---|---|---|
| VIN | ✓ | 17 characters VIN Number |
JSON Response
Provides comprehensive vehicle information including engine oil specifications, tires, wheels data.
| Parameter | Description |
|---|---|
| status | success or error |
| data | Provides comprehensive vehicle information including engine oil specifications, tires, wheels data. |
Example Response
{
"status": "success",
"data": {
"vin": "5J8YD4H05LL015018",
"year": 2020,
"make": "Acura",
"model": "MDX",
"trim": "Base 4dr SH-AWD Automatic",
"tires": {
"front_tire_size": "245/60R18",
"rear_tire_size": "245/60R18",
"spare_tire_size": "COMPACT",
"type": "PERFORMANCE"
},
"wheels": {
"front_wheel_material": "Aluminum",
"front_wheel_size_in": "18 X 8",
"rear_wheel_material": "Aluminum",
"rear_wheel_size_in": "18 X 8",
"spare_wheel_material": "Steel",
"spare_wheel_size_in": "Compact"
},
"engine_oil": {
"grade": "API*",
"capacity": "5.4 quarts. w/of. After refill check oil level.",
"viscosity": "0W-20",
"torque": "30 ft/lbs"
}
}
}Error Responses
error
statusWhen an error occurs, the API returns an error status with a code and message.
| Code | Description | Resolution |
|---|---|---|
| 400 | No Record(s) were found. | Verify the VIN is correct or not. |
| 401 | Invalid API x-authkey. | Provide a valid API x-authkey. |
| 404 | API endpoint not found | Check the API endpoint URL. |
| 429 | Rate limit exceeded | Reduce request frequency to comply with rate limits. |